/*
 * @Author: zx 
 * @Date: 2020-06-30 17:40:43 
 * @Last Modified by: zx
 * @Last Modified time: 2020-07-01 17:35:34
 */

import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter_common/commonModel/live/LiveData.dart';
import 'package:gm_flutter/ClueModel/page/PlanCompareDetail/PlanCompareDetailModel.dart';
import 'package:gm_flutter/ClueModel/util/PosUtil.dart';
import 'package:gm_flutter/ClueModel/view/FiveStarView.dart';
import 'package:gm_flutter/commonModel/base/BaseComponent.dart';
import 'package:gm_flutter/commonModel/base/BaseState.dart';
import 'package:gm_flutter/commonModel/util/DartUtil.dart';
import 'package:pull_to_refresh/pull_to_refresh.dart';

class PlanCompareDetailPage extends StatefulWidget {
  @override
    State<StatefulWidget> createState() => PlanCompareDetailPageState();
}

class PlanCompareDetailPageState extends BaseState<PlanCompareDetailPage> {
    PlanCompareDetailModel _model = new PlanCompareDetailModel();
    PageController pageController = new PageController();
    double screenWidth;
  List<Widget> viewList = new List();
@override
  void initState() {
    super.initState();
    pageController.addListener(() {
      if (screenWidth != null) {
        // _model.topScrollLive.notifyView(
        //     pageController.offset / screenWidth * (screenWidth / 4));
      }
    });
    viewList.add(planPopularityView());
    viewList.add(planNormalAttrsView());
    viewList.add(planEffectiveAttrsView());
    // viewList.add(Container(
    //   height: 5,
    //   color: Color(0xffF7F6FA),
    // ));
  }

  @override
  void dispose() {
    _model.dispose();
    pageController.dispose();
    // _refreshController.dispose();
    pageController.dispose();
    super.dispose();
  }

  @override
  Widget buildItem(BuildContext context) {
    screenWidth = MediaQuery.of(context).size.width;
    return Scaffold(
      appBar: baseAppBar(
          title: "对比详情",
          centerTitle: true,
          backClick: () {
            Navigator.pop(context);
          }),
      body: Container(
        child: home(),

      )
    );
  }


  Widget home() {
    return Column(
      children: <Widget>[
        Expanded(
          child: Stack(
            children: <Widget>[
              head(),
              Positioned (
                child: Container(
                  margin: EdgeInsets.fromLTRB(15, 105, 15, 0),
                  child: CustomScrollView(
                    slivers: <Widget>[
                          SliverList(
                            delegate: SliverChildBuilderDelegate(
                              (BuildContext context, int index) {
                                return viewList[index + 1];
                              },
                              childCount: viewList.length - 1,
                            ),
                          ),
                        ],
                      ),
                )
              ),
              
            ],
          ),
        )
      ],
    );
  }

  Widget head() {
    return Container(
      // key: keyTop,
      color: Colors.yellow,
      width: screenWidth,
      height: 105,
      alignment: Alignment.topLeft,
      margin: EdgeInsets.fromLTRB(9.5, 0, 9.5, 0),
      child: Row(children: <Widget>[
        // 根据 flex系数，分配剩余空间
        Expanded(
            flex:1,
            child: headItem()
        ),
        Expanded(
            flex: 1,
            child: headItem()
          )
        ] 
      
    ),
 );
  }

  Widget headItem() {
    return  Container(
      child: Stack(
         children: <Widget>[
           Positioned(
             child: Container(
              margin: EdgeInsets.fromLTRB(5.5, 15, 5.5, 15),
              width: (screenWidth - 41) / 2.0,
              // child: Text('1111111'),
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(7.0),
                image: 
                DecorationImage(
                    fit: BoxFit.cover,
                    image: NetworkImage(
                    "https://pic.igengmei.com/2018/09/11/1513/b7e825a4e4c1-w")
                    )
              )
              ),

           ),
           Positioned(
                left: 17.5,
                top: 31,
                child: baseText('11223344', 15, Color(0xff333333),
                    bold: true),
              ),

              Positioned(
                left: 17.5,
                bottom: 31,
                child: baseText('哈哈哈哈', 14, Colors.red,
                    bold: true),
              ),

         ]
        
      )
    );
}
Widget titleView() {
    return Container(
      height: 81,
      width: screenWidth,
      // margin: EdgeInsets.fromLTRB(9.5, 0, 9.5, 0),
      child: Container(
        child: baseText('基础属性', 21, Colors.black, bold: true),
      ),
      );
}

  Widget planPopularityView() {
    return Container(
      color: Colors.red,
      height: 200,
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
         children: <Widget>[
           titleView(),
            planPopularityRateItem(),
            planPopularitySellItem()
         ]
      )
    );

  }

    Widget planPopularityRateItem() {
      return Container(
              color: Colors.blue,
              height: 200,


      );
    }

    Widget planPopularitySellItem() {
      return Container(

      );
    }

  Widget planNormalAttrsView() {
    return Container(
            color: Colors.green,
            height: 200,
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
         children: <Widget>[
           titleView(),
           
         ]
      )
    );

  }

  Widget planEffectiveAttrsView() {
    return Container(
            color: Colors.grey,
            height: 200,
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
         children: <Widget>[
           titleView(),
           
         ]
      )
    );

  }
}